@echo off
set QNX_HOST=C:/QNX641/host/win32/x86
set QNX_TARGET=C:/QNX641/target/qnx6
if "%2"=="" set target=all
if "%2"=="build" set target=all
if "%2"=="rebuild" set target=clean all
if "%2"=="clean" set target=clean
if "%QNX_HOST%"=="" goto err1
set SHELL=
rem set INCLUDE=
rem set LIB=
SET PATH=%QNX_HOST%/usr/bin;%PATH%
echo Setting environment for QNX QCC compiler
make -f %1 %target%
goto end
:err1
echo Environment variable QNX_HOST is not defined
echo Please check QNX SDK installation and make sure QNX_HOST is defined
goto end
:end